package cz.moneta.test.dsl.ufo.banka.pages.common.pages;

import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.ib.ADC047_S001_IbSettingsPage;
import cz.moneta.test.dsl.ufo.banka.pages.insurance.PIP001_EnterIntoOtherInsurancePage;
import cz.moneta.test.dsl.ufo.banka.pages.insurance.POD038_OBR001_001_VerificationOfSignaturePage;
import cz.moneta.test.dsl.ufo.banka.pages.main.ADC012_S001_SettingADC;
import cz.moneta.test.dsl.ufo.banka.pages.main.BAL001_S008_SummaryStartDocumentsPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.KAK001_OBR001_ClientCardSentByEmailPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.PVX002_S002_AccountDispositionOwnerPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.mutual.funds.INF002_OBR002_001_InvestmentFormSigningPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.mutual.funds.INF013_OBR002_001_ContractInvestmentFormSigningPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface TIS046_S001_DocumentsProvidedToClientPageTransitions extends WebFlow<TIS046_S001_DocumentsProvidedToClientPageTransitions> {

    PVX002_S002_AccountDispositionOwnerPage onAccountDispositionOwnerPage();

    TIS051_OBR001_ContractDocumentationPage onContractDocumentationPage();

    TIS046_S001_DocumentsProvidedToClientPage onDocumentsProvidedToClientPage();

    TIS004_S002_SignerSelectionPage onSignerSelectionPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    INF002_OBR002_001_InvestmentFormSigningPage onInvestmentFormSigningPage();

    INF013_OBR002_001_ContractInvestmentFormSigningPage onContractInvestmentFormSigningPage();

    BAL001_S008_SummaryStartDocumentsPage onSummaryStartDocumentsPage();

    POD038_OBR001_001_VerificationOfSignaturePage onVerificationOfSignaturePage();

    PIP001_EnterIntoOtherInsurancePage onEnterIntoOtherInsurancePage();

    ADC012_S001_SettingADC onSettingAdcPage();

    KAK001_OBR001_ClientCardSentByEmailPage onClientCardSentByEmailPage();

    PSP004_S001_PrintPage onPrintPage();

    SPU031_S001_SavingsAccountConfirmationPage onSavingAccountConfirmation();

    TIS050_S001_SignerSelectionPage onSingerSelectPage();

    ADC047_S001_IbSettingsPage onIbSettingsPage();
}
